/* NoSuch MIDI - Copyright 1997 by Tim Thompson */

package com.nosuch.midi;

/**
	Handle MIDI input.
*/

public interface MidiInput {

	public void open() throws MidiException;
	public void reset();
	public void close() throws MidiException;
	public void startRunning();
	public void stopRunning();
	public void setAction(MidiAction act);
}
