/* NoSuch MIDI - Copyright 1997 by Tim Thompson */

package com.nosuch.midi;

public interface MidiFileAction {
	void k_header(int f,int n,int d);
	void k_starttrack();
	void k_endtrack();
	void k_noteon(int chan,int pitch,int vol);
	void k_noteoff(int chan,int pitch,int vol);
	void k_pressure(int chan,int pitch,int press);
	void k_controller(int chan,int control,int value);
	void k_pitchbend(int chan,int msb,int lsb);
	void k_program(int chan,int program);
	void k_chanpressure(int chan,int press);
	void k_sysex(byte[] mess);
	void k_arbitrary(byte[] mess);
	void k_tempo(int tempo);
	void k_timesig(int nn,int dd,int cc,int bb);
	void k_keysig(int sf,int mi);
	void k_chanprefix(int c);
	void k_seqnum(int n);
	void k_smpte(int hr,int mn,int se,int fr,int ff);
	void k_metatext(int t,byte[] bytes);
}
